| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - q -

- q : CS::SndSys::QueueIterator< T >
- QueryBuffer() : iStreamSource
- QueryCamera() : iSceneNode
- QueryClassID() : iFactory
- QueryClassList() : iSCF
- QueryDependencies() : iFactory
- QueryDescription() : iFactory
- QueryEventPriority() : iEventPlug, csGraphics2DGLCommon
- QueryHandler() : iInputBinder, csInputBinder
- QueryInterface() : iBase, scfImplementationExt7< Class, Super, I1, I2, I3, I4, I5, I6, I7 >, scfImplementationExt6< Class, Super, I1, I2, I3, I4, I5, I6 >, scfImplementationExt5< Class, Super, I1, I2, I3, I4, I5 >, scfImplementationExt4< Class, Super, I1, I2, I3, I4 >, scfImplementationExt3< Class, Super, I1, I2, I3 >, scfImplementationExt2< Class, Super, I1, I2 >, scfImplementationExt1< Class, Super, I1 >, scfImplementationExt0< Class, Super >, scfImplementation7< Class, I1, I2, I3, I4, I5, I6, I7 >, scfImplementation6< Class, I1, I2, I3, I4, I5, I6 >, scfImplementation5< Class, I1, I2, I3, I4, I5 >, scfImplementation4< Class, I1, I2, I3, I4 >, scfImplementation3< Class, I1, I2, I3 >, scfImplementation2< Class, I1, I2 >, scfImplementation1< Class, I1 >, scfImplementation0< Class >, scfImplementation< Class >
- QueryLight() : iSceneNode
- QueryMesh() : iSceneNode
- QueryModuleName() : iFactory
- QueryObject() : iShader, iTerraFormer, iMapNode, iKeyValuePair, iSequenceTrigger, iSequenceWrapper, iRigidBody, iDynamicSystem, iSndSysWrapper, iCurve, iAddonReference, iLibraryReference, iSaverFile, iTextureWrapper, iSharedVariable, iSector, iRegion, iMeshGenerator, iMeshFactoryWrapper, iMeshWrapper, iMaterialWrapper, iLight, iEngine, iCollection, iCameraPosition, csAddonReference, csLibraryReference, csSaverFile, csProcTexture, csMapNode, csKeyValuePair
- QueryOptions() : iPluginManager, csPluginManager
- QueryPlugin() : iPluginManager, csPluginManager
- QuerySceneNode() : iMeshWrapper, iLight, iCamera
- QueryUserdata() : iLightingProcessInfo
- Queue() : CS::SndSys::Queue< T >
- QueueEntry() : CS::SndSys::Queue< T >
- QueueIterator() : CS::SndSys::QueueIterator< T >
- QueueIterator< T > : CS::SndSys::Queue< T >
- QueueNotificationEvent() : CS::SndSys::SndSysBasicStream
- QuickTestRectangle() : csTiledCoverageBuffer
- Quit() : csApplicationFramework